Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebPage.FindFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.webkit.QWebPage.FindFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWebPage

    public static final class QWebPage.FindFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes the options available to `QWebPage`'s `findText()` function. The options can be OR-ed together from the following list:

See Also:
  Serialized Form

Field Summary
`static QWebPage.FindFlag` | `FindBackward` Searches backwards instead of forwards.
`static QWebPage.FindFlag` | `FindCaseSensitively` By default `findText()` works case insensitive.
`static QWebPage.FindFlag` | `FindWrapsAroundDocument` Makes `findText()` restart from the beginning of the document if the end was reached and the text was not found.

Method Summary
`static QWebPage.FindFlags` | `createQFlags(QWebPage.FindFlag[] values)` This function creates a com.trolltech.qt.webkit.QWebPage$FindFlags with the specified `com.trolltech.qt.webkit.QWebPage$FindFlag[]` QWebPage$FindFlag values set.
`static QWebPage.FindFlag` | `resolve(int value)` Returns the QWebPage$FindFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWebPage.FindFlag` | `valueOf(java.lang.String name)`
`static QWebPage.FindFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FindBackward

    public static final QWebPage.FindFlag FindBackward

  Searches backwards instead of forwards.

### FindCaseSensitively

    public static final QWebPage.FindFlag FindCaseSensitively

  By default `findText()` works case insensitive. Specifying this option changes the behaviour to a case sensitive find operation.

### FindWrapsAroundDocument

    public static final QWebPage.FindFlag FindWrapsAroundDocument

  Makes `findText()` restart from the beginning of the document if the end was reached and the text was not found.

Method Detail

### values

    public static QWebPage.FindFlag[] values()

### valueOf

    public static QWebPage.FindFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QWebPage.FindFlags createQFlags(QWebPage.FindFlag[] values)

  This function creates a com.trolltech.qt.webkit.QWebPage$FindFlags with the specified `com.trolltech.qt.webkit.QWebPage$FindFlag[]` QWebPage$FindFlag values set.

### resolve

    public static QWebPage.FindFlag resolve(int value)

  Returns the QWebPage$FindFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD